<%@ page language="C#" autoeventwireup="true" inherits="HL_Admin_admin_Csslabelparameter, HoWaveVGO" enableEventValidation="false" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" >
<head id="Head1" runat="server">
    <title>请输入参数</title>
    <script language="JavaScript" type="text/JavaScript">
<!--
    <%ListAllCss(); %>
    
    function returnValues(){
        var labelText;
        var rel;
        
        labelTextObj = document.getElementById("LabelList");
        labelText = labelTextObj.options[labelTextObj.options.selectedIndex].value;
        
        if(labelText!="" && labelText!="undefined" && labelText!=null){
            if(labelText == "Index"){
                ReturnValues = "{HL.Config.IndexCss}";
            }else if(labelText == "Special"){
                ReturnValues = "{HL.Config.SpecialCss}";
            }else if(labelText == "Class"){
                ReturnValues = "{HL.Config.ClassCss}";
            }else if(labelText == "Product"){
                ReturnValues = "{HL.Config.ProductCss}";
            }else if(labelText == "ShopBase"){
                ReturnValues = "{HL.Config.ShopBaseCss}";
            }else if(labelText == "Shop"){
                ReturnValues = "{HL.Config.ShopCss}";
            }else if(labelText == "Member"){
                ReturnValues = "{HL.Config.MemberCss}";
            }
            else{
                ReturnValues = "<link type=\"text/css\" rel=\"stylesheet\" href=\"{HL.Config.InstallDir}" + labelText + "\" />";
            }
            window.returnValue = ReturnValues;
        }else{
            alert("找不到相关风格文件！");
        }
        window.close();
    }
    
    function changevalue(obj){
        Listobj = document.getElementById("LabelList");
        Listobj.options.length=0;
        for(i=0;i<Num;i++){
            if(obj.value == arrType[i]){
                document.getElementById("LabelList").options[document.getElementById("LabelList").options.length] = new Option(arrName[i],arrPath[i]);
            }
        }
        if(document.getElementById("LabelList").options.length<1){
            document.getElementById("LabelList").options[document.getElementById("LabelList").options.length] = new Option("无样式","");
        }else if(obj.value!="Customer"){
            document.getElementById("LabelList").options[document.getElementById("LabelList").options.length] = new Option("默认风格标签",obj.value);
        }
    }
    
//-->
</script>
  <style type="text/css">
  body{
      font-size:12px;
      background:#E0EEF5;
  }
  </style>
</head>
<body>
    <form id="form1" runat="server">
     <div style="width:100%;">
       <div style="height:25px; width:100%; line-height:25px; padding-left:10px;">标签名称：<asp:Label ID="LabelName" runat="server"  Text="网站样式" ></asp:Label></div>
       <hr align="center" width="95%" size="1" />
       <div>
          <div style="width:100%;">
           <div style="float:left; width:40%; text-align:right; line-height:25px;">样式类别：</div>
           <div style="float:left; line-height:25px;">
           <asp:DropDownList ID="LabelTypeList" runat="server" onchange="return changevalue(this)">
           <asp:ListItem Value="" >请选择样式类别</asp:ListItem>
           <asp:ListItem Value="Index" >首页风格</asp:ListItem>
           <asp:ListItem Value="Shop" >店铺风格</asp:ListItem>
           <asp:ListItem Value="Special" >专题风格</asp:ListItem>
           <asp:ListItem Value="Product" >商品风格</asp:ListItem>
           <asp:ListItem Value="Class" >分类风格</asp:ListItem>
           <asp:ListItem Value="ShopBase" >基本风格</asp:ListItem>
           <asp:ListItem Value="Member" >会员中心风格</asp:ListItem>
           <asp:ListItem Value="Customer" >自定义风格</asp:ListItem>
           </asp:DropDownList>
           </div>
         </div>
          
         <div style="width:100%;">
           <div style="float:left; width:40%; text-align:right; line-height:25px;">样式：</div>
           <div style="float:left; line-height:25px;">
           <select name="LabelList" id="LabelList">
           <option value="" >无样式</option>
           </select>
           </div>
         </div>
         <div style="width:100%; height:10px;"></div>
       </div>
       <div style="text-align:center;"><input name="Ok" onclick="return returnValues()" type="button" value="确 定" /> <input name="canl" type="button" onclick="window.close();" value="取 消" /></div>
     </div>
    </form>
</body>
</html>